using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Ch09Sample01
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //编译时期错误
            //string data = 100;

        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            int i = 1;
            int total = 0;
            while (i < 100) {
                total += i;
                i++;
            }
            MessageBox.Show("计算结果为" + total);
        }


    }
}
